# -*- coding: UTF-8 -*-
import pymysql
import datetime
import pandas as pd
from sqlalchemy import create_engine


def get_yesterday_date():
    today = datetime.date.today()
    yesterday = today - datetime.timedelta(days=1)
    yesterday = yesterday.strftime("%Y-%m-%d")
    print(yesterday)
    return yesterday

def ctr_all():
    db = pymysql.connect(host='10.66.157.22', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='jerry_prod')
    cursor = db.cursor()
    sql_active = "select distinct device_id from data_feed_exposure " \
                 "where (cid_type = 'diary' or cid_type = 'diary_video') " \
                 "and device_id regexp'[5|6]$' and stat_date = '{}';".format(date)
    cursor.execute(sql_active)
    result = cursor.fetchall()
    tail56 = pd.DataFrame(list(result))[0].values.tolist()
    cover = list(set(tail56)&set(device_id))
    cid = list()
    number = list()
    for i in cover:
        sql = "select count(cid) from data_feed_exposure " \
              "where cid_type = 'diary'" \
              "and stat_date = '{}' and device_id = '{}';".format(date,i)
        cursor.execute(sql)
        result = cursor.fetchone()[0]
        cid.append(i)
        number.append(result)
    df = pd.DataFrame()
    df['id'] = cid
    df['number'] = number
    df = df.sort_values(by = "number",ascending=False)
    df.to_csv(DIRECTORY_PATH+"exp.csv",index=None)


def get_data():
    conn2db = pymysql.connect(host='172.16.40.158', port=4000, user='root', passwd='3SYz54LS9#^9sBvC', db='jerry_test')
    cursor = conn2db.cursor()
    sql = "select number from id_number"
    cursor.execute(sql)
    result = cursor.fetchall()

    cursor.close()


    return result

if __name__ == "__main__":
    DIRECTORY_PATH = "/home/gmuser/"
    df = pd.DataFrame(list(get_data()))
    print(df.head())
    df = df.rename(columns={0:"number"})
    df.to_csv(DIRECTORY_PATH+"number.csv",index=False)


    # df = df.rename(columns={0:"cid",1:"exp",2:"click"})
    # df["click"] = df["click"].fillna(0)
    # df["ctr"] = df["click"]/df["exp"]
    #
    # yconnect = create_engine('mysql+pymysql://root:3SYz54LS9#^9sBvC@172.16.40.158:4000/jerry_test?charset=utf8')
    # pd.io.sql.to_sql(df, "diary_ctr_new", yconnect, schema='jerry_test', if_exists='append', index=False)

